### Method

# Gio FileInfo set_attribute_boolean

#### Declaration

    void
    g_file_info_set_attribute_boolean (
      GFileInfo* info,
      const char* attribute,
      gboolean attr_value
    )

#### Description

Sets the `attribute` to contain the given `attr_value`, if possible.

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`attr_value`

  Type: `gboolean`

  A boolean value.